{ config, pkgs, ... }:
{
  imports = [
    ./autostart
    ./hotkeys
    ./inputs
    ./outputs
    ./programs
    ./rules
    ./theme
  ];

  wayland.windowManager.sway = {
    enable = config.home.sway.enable;
    package = null;
    wrapperFeatures.gtk = true;
    checkConfig = false;
    extraConfig = ''
      default_floating_border pixel ${config.look.border.string}
      hide_edge_borders --i3 smart
      titlebar_padding 10 1
      primary_selection disabled

      # Include extra window icons
      include ${pkgs.fetchurl {
        url = "https://raw.githubusercontent.com/iguanajuice/sway-font-awesome/6b7a9d08974eea1b9cddb8d444e1c89d6837083a/icons";
        sha256 = "09ki5qw1h91kd33k3fwzq7cb6ck8sq4haswgizrsy387sfr2a75x";
      }}
    '';
  };
}
