{ config, lib, ... }:
{
  config = lib.mkIf config.system.desktop.enable {
    services.mpd = {
      enable = true;
      user = "jimbo";
      group = "users";
      musicDirectory = "/home/jimbo/JimboNFS/Music/JimBops";
      playlistDirectory = "/home/jimbo/JimboNFS/Music/JimBops/Playlists";
      extraConfig = ''
        audio_output {
          type "pipewire"
          name "Local Pipewire"
        }
      '';
    };

    systemd.services.mpd.environment = {
      XDG_RUNTIME_DIR = "/run/user/${toString config.users.users.jimbo.uid}";
    };

    environment.persistence."/persist".directories = [ "/var/lib/mpd" ];
  };
}
